#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
%define		_builddir	%{_topdir}/BUILD_%(basename %{__python})
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	python3-pycairo
Version		:	1.21.0
Release		:	14.4.0.0%{?dist}
Summary		:	Python bindings for the cairo library
Group		:	Development/Languages

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MPLv1.1 or LGPLv2
URL		:	https://github.com/pygobject/pycairo

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	cairo-devel
BuildRequires	:	%{__python}

Requires	:	%{__python}
#-----------------------------------------------------------------------------
%description
This package contains files required to build wrappers for cairo add-on 
libraries so that they interoperate with pycairo.

#-----------------------------------------------------------------------------
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__python} setup.py build

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__python}							\
	setup.py						\
	install							\
	--skip-build						\
	--root %{buildroot}
	
#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING NEWS README.rst
%{_includedir}/%{sname}/*.h
%{_libdir}/pkgconfig/py*cairo.pc
%{python3_sitelib}/cairo/*
%{python3_sitelib}/%{sname}-%{version}*egg-info/

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
